[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.Change

Performs actions needed when the text in the control is changed.

## Declaration

Source position: stdctrls.pp line 805

`protected procedure TCustomEdit.Change; virtual;`

## Description

Change is a procedure used to perform actions need when the CM_CHANGED message is handled in the control. Change calls the inherited Changed method, and signals the OnChange and/or the internal FOnChangeHandler event handlers (when assigned).

Change is called from the TextChanged method after case conversion and updates to the editing cursor and text selection.

## See also

TCustomEdit.OnChange |  | Event handler signalled when the text for the control is changed.
TCustomEdit.TextChanged |  | Applies case conversion (if needed), and updates the editing cursor selection text.
TControl.Changed |  | Performs actions needed when the value for the control has been changed.